{
	"format_version": "1.10.0",
	"minecraft:attachable": {
		"description": {
			"identifier": "bridge:mp7",
			"materials": {
				"default": "entity_alphatest"
			},
			"textures": {
				"default": "textures/entity/mp7"
			},
			"geometry": {
				"default": "geometry.mp7"
			},
			"render_controllers": [
				"controller.render.default"
			],
			"scripts": {
				"pre_animation": [
					// Rotação
					"variable.rot_x = 90;",
					"variable.rot_y = 0;",
					"variable.rot_z = 0;",
					// Posição
					"variable.pos_x = -1;",
					"variable.pos_y = -8;",
					"variable.pos_z = -1.5;",
					// Tamanho
					"variable.size = 0.6;"
				],
				"animate": [
					"wield"
				]
			},
			"animations": {
				"wield": "animation.item.gun.wield"
			}
		}
	}
}